﻿using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace NavigationDrawer_Example
{
    public partial class Form1 : MetroForm
    {

        #region Variable

        DrawerMenuItemExt drawerMenuItem1 = new DrawerMenuItemExt();
        DrawerMenuItemExt drawerMenuItem2 = new DrawerMenuItemExt();
        DrawerMenuItemExt drawerMenuItem3 = new DrawerMenuItemExt();
        DrawerMenuItemExt drawerMenuItem4 = new DrawerMenuItemExt();
        DrawerMenuItemExt drawerMenuItem5 = new DrawerMenuItemExt();
        Home home = new Home();
        People people = new People();
        Photos photos = new Photos();
        Profile profile = new Profile();
        About_us aboutus = new About_us();
        #endregion

        #region Constructor

        public Form1()
        {
            InitializeComponent();
            PopulateItems();
            this.navigationDrawer1.Items.Add(drawerMenuItem1);
            this.navigationDrawer1.Items.Add(drawerMenuItem2);
            this.navigationDrawer1.Items.Add(drawerMenuItem3);
            this.navigationDrawer1.Items.Add(drawerMenuItem4);
            this.navigationDrawer1.Items.Add(drawerMenuItem5);
            for (int i = 0; i < this.navigationDrawer1.Items.Count; i++)
            {
                this.navigationDrawer1.Items[i].Click += ItemsClicked;
            }
            this.Load += Form1_Load;

            home.TopLevel = false;
            home.AutoScroll = true;
            home.Text = "Home";
            home.Show();
            home.Dock = DockStyle.Fill;
            home.MinimumSize = this.Size;

            people.TopLevel = false;
            people.AutoScroll = true;
            people.Text = "People";
            people.Show();
            people.Dock = DockStyle.Fill;
            people.MinimumSize = this.Size;

            photos.TopLevel = false;
            photos.AutoScroll = true;
            photos.Text = "Photos";
            photos.Show();
            photos.Dock = DockStyle.Fill;
            photos.MinimumSize = this.Size;

            profile.TopLevel = false;
            profile.AutoScroll = true;
            profile.Text = "Profile";
            profile.Show();
            profile.Dock = DockStyle.Fill;
            profile.MinimumSize = this.Size;

            aboutus.TopLevel = false;
            aboutus.AutoScroll = true;
            aboutus.Text = "About us";
            aboutus.Show();
            aboutus.Dock = DockStyle.Fill;
            aboutus.MinimumSize = this.Size;

            this.navigationDrawer1.ContentViewContainer.Controls.Add(home); 
            this.navigationDrawer1.ContentViewContainer.Controls.Add(people);
            this.navigationDrawer1.ContentViewContainer.Controls.Add(profile);
            this.navigationDrawer1.ContentViewContainer.Controls.Add(photos);
            this.navigationDrawer1.ContentViewContainer.Controls.Add(aboutus);

            this.CollapseBtn.Click += CollapseBtn_Click;
        }

      

        #endregion

        #region Functions

        // To Populate Items

        public void PopulateItems()
        {
            // 
            // drawerMenuItem1
            // 
            this.drawerMenuItem1.Font = new System.Drawing.Font("Segoe UI", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.drawerMenuItem1.ItemText = "Home";
            this.drawerMenuItem1.MinimumSize = new System.Drawing.Size(200, 50);
            this.drawerMenuItem1.Name = "drawerMenuItem1";
            this.drawerMenuItem1.Size = new System.Drawing.Size(200, 50);
            this.drawerMenuItem1.TabIndex = 0;
            this.drawerMenuItem1.Text = "Home";
            // 
            // drawerMenuItem2
            // 
            this.drawerMenuItem2.Font = new System.Drawing.Font("Segoe UI", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.drawerMenuItem2.ItemText = "People";
            this.drawerMenuItem2.Location = new System.Drawing.Point(2, 50);
            this.drawerMenuItem2.MinimumSize = new System.Drawing.Size(200, 50);
            this.drawerMenuItem2.Name = "drawerMenuItem2";
            this.drawerMenuItem2.Size = new System.Drawing.Size(200, 50);
            this.drawerMenuItem2.Text = "People";
            // 
            // drawerMenuItem3
            // 
            this.drawerMenuItem3.Font = new System.Drawing.Font("Segoe UI", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.drawerMenuItem3.ItemText = "Profile";
            this.drawerMenuItem3.Location = new System.Drawing.Point(2, 100);
            this.drawerMenuItem3.Margin = new System.Windows.Forms.Padding(0);
            this.drawerMenuItem3.MinimumSize = new System.Drawing.Size(200, 50);
            this.drawerMenuItem3.Name = "drawerMenuItem3";
            this.drawerMenuItem3.Size = new System.Drawing.Size(200, 50);
            this.drawerMenuItem3.Text = "Profile";
            // 
            // drawerMenuItem4
            // 
            this.drawerMenuItem4.Font = new System.Drawing.Font("Segoe UI", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.drawerMenuItem4.ItemText = "Photos";
            this.drawerMenuItem4.Location = new System.Drawing.Point(2, 150);
            this.drawerMenuItem4.Margin = new System.Windows.Forms.Padding(0);
            this.drawerMenuItem4.MinimumSize = new System.Drawing.Size(200, 50);
            this.drawerMenuItem4.Name = "drawerMenuItem4";
            this.drawerMenuItem4.Size = new System.Drawing.Size(200, 50);
            this.drawerMenuItem4.Text = "Photos";
            // 
            // drawerMenuItem5
            // 
            this.drawerMenuItem5.Font = new System.Drawing.Font("Segoe UI", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.drawerMenuItem5.ItemText = "About us";
            this.drawerMenuItem5.Location = new System.Drawing.Point(2, 200);
            this.drawerMenuItem5.Margin = new System.Windows.Forms.Padding(0);
            this.drawerMenuItem5.MinimumSize = new System.Drawing.Size(200, 50);
            this.drawerMenuItem5.Name = "drawerMenuItem5";
            this.drawerMenuItem5.Size = new System.Drawing.Size(200, 50);
            this.drawerMenuItem5.TabIndex = 4;
            this.drawerMenuItem5.Text = "About us";
        }

        #endregion

        #region Events

        // To set NavigationDrawer Settings
        void Form1_Load(object sender, EventArgs e)
        {
            this.navigationDrawer1.DrawerWidth = this.Width / 4;
            this.navigationDrawer1.DrawerHeight = this.Height;
            this.navigationDrawer1.TouchThreshold = 0;
        }

        // To perform some actions, when item is clicked
        void ItemsClicked(object sender, EventArgs e)
        {
            this.navigationDrawer1.ToggleDrawer();
            if((sender as DrawerMenuItemExt).ItemText=="Home")
            {
                home.Show();
                home.BringToFront();
            }
            else if((sender as DrawerMenuItemExt).ItemText == "People")
            {
                people.Show();
                people.BringToFront();
            }
            else if ((sender as DrawerMenuItemExt).ItemText == "Photos")
            {
                photos.Show();
                photos.BringToFront();
            }
            else if ((sender as DrawerMenuItemExt).ItemText == "Profile")
            {
                profile.Show();
                profile.BringToFront();
            }
            else if ((sender as DrawerMenuItemExt).ItemText == "About us")
            {
                aboutus.Show();
                aboutus.BringToFront();
            }
            MessageBox.Show((sender as DrawerMenuItemExt).ItemText + " Item " + "is Clicked and here you can do required actions");
        }

        private void Expandbtn_Click(object sender, EventArgs e)
        {
            if (!this.navigationDrawer1.IsDrawerShowing())
            {
                this.navigationDrawer1.ToggleDrawer();
            }
        }

        private void CollapseBtn_Click(object sender, EventArgs e)
        {
            if (this.navigationDrawer1.IsDrawerShowing())
            {
                this.navigationDrawer1.ToggleDrawer();
            }
        }

        #endregion
    }

}